Index: /trunk/sources/HeuristicLab.Routing.TSP/3.3/TSP.cs
===================================================================
--- /trunk/sources/HeuristicLab.Routing.TSP/3.3/TSP.cs	(revision 2796)
+++ /trunk/sources/HeuristicLab.Routing.TSP/3.3/TSP.cs	(revision 2796)
@@ -0,0 +1,39 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using System.Xml;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+
+namespace HeuristicLab.Data {
+  [Item("TSP", "Represents a symmetric Traveling Salesman Problem.")]
+  [Creatable("Problems")]
+  public sealed class TSP : Problem {
+    public TSP()
+      : base() {
+
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Routing.TSP/3.3/TSPParser.cs
===================================================================
--- /trunk/sources/HeuristicLab.Routing.TSP/3.3/TSPParser.cs	(revision 2795)
+++ /trunk/sources/HeuristicLab.Routing.TSP/3.3/TSPParser.cs	(revision 2796)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -21,12 +21,10 @@
 
 using System;
-using System.Collections.Generic;
-using System.Text;
+using System.Globalization;
 using System.IO;
-using System.Globalization;
 
 namespace HeuristicLab.Routing.TSP {
   /// <summary>
-  /// Parses a *.tsp file and extracts its information about a TSP.
+  /// Parses a *.tsp file in the TSPLIB format and extracts its information about a TSP.
   /// </summary>
   public class TSPParser {
